Skip to content

Transfer Voucher Query ​

Interface Information

  • Path: /api/v1/txn/queryVoucher
  • Method: POST
  • Content-Type: application/json

Business Description

  • Used to obtain electronic receipts after a successful payout transaction.
  • You can query by either requestId or payoutId.
  • It is recommended to save vouchers from successful transactions for reconciliation and record-keeping.

Request Parameters ​

Headers ​

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body ​

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
requestIdstringBusiness transaction IDC, Required if payoutId is empty
payoutIdintegerPayment transaction IDC, Required if requestId is empty
signstringSignatureM

Request Example ​

json
{
  "merchantNo": "800149",
  "requestId": "REQ20240115001234567890",
  "payoutId": 1234567890,
  "sign": "A1B2C3D4E5F6G7H8I9J0K1L2M3N4O5P6Q7R8S9T0U1V2W3X4Y5Z6"
}

Response Result ​

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8NoResponse body type

Response Parameters ​

Response Fields

ParameterTypeDescription
respCodestringResponse code
respMsgstringResponse message
dataobjectResponse data
  └─merchantNostringMerchant number
  └─requestIdstringBusiness transaction ID
  └─payoutIdintegerPayment transaction ID
  └─urlstringVoucher URL

Response Example ​

json
{
  "respCode": "20000",
  "respMsg": "Success",
  "data": {
    "merchantNo": "800149",
    "requestId": "REQ20240115001234567890",
    "payoutId": 1234567890,
    "url": "https://api.onerway.com/voucher/download/abc123def456ghi789jkl012mno345pqr678stu901vwx234yz"
  }
}